Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el.parser
Class JJTELParserState

    java.lang.Object
      org.apache.el.parser.JJTELParserState

    public class JJTELParserState

extends Object

Constructor Summary
`JJTELParserState()`

Method Summary
`void` | `clearNodeScope(Node n)`
`void` | `closeNodeScope(Node n, boolean condition)`
`void` | `closeNodeScope(Node n, int num)`
`int` | `nodeArity()`
`boolean` | `nodeCreated()`
`void` | `openNodeScope(Node n)`
`Node` | `peekNode()`
`Node` | `popNode()`
`void` | `pushNode(Node n)`
`void` | `reset()`
`Node` | `rootNode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JJTELParserState

    public JJTELParserState()

Method Detail

### nodeCreated

    public boolean nodeCreated()

### reset

    public void reset()

### rootNode

    public Node rootNode()

### pushNode

    public void pushNode(Node n)

### popNode

    public Node popNode()

### peekNode

    public Node peekNode()

### nodeArity

    public int nodeArity()

### clearNodeScope

    public void clearNodeScope(Node n)

### openNodeScope

    public void openNodeScope(Node n)

### closeNodeScope

    public void closeNodeScope(Node n,
                               int num)

### closeNodeScope

    public void closeNodeScope(Node n,
                               boolean condition)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.